<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Обмен средств');

///Подключаем шапку
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Биллинг панель </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/billing" rel="v:url" property="v:title">Биллинг</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Обмен средств</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/billing">Биллинг</a> - Обмен средств</div>';
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$user = abs((int)$_POST['user']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['gears'] < $rur) {
err('У вас недостаточно Gears для обмена!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 Gears.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
$kurs = '0.20';
$sum = ($rur * $kurs);
DB::$dbs->query("INSERT INTO `billing_ex` (`user_id`,`rur`,`time`,`gear`) VALUES (?,?,?,?)", [$b['id'],$sum,time(),$rur]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` - ?, `rur` = `rur` + ? WHERE id = ?", [$rur,$sum,$b['id']]);
$id = DB::$dbs->lastInsertId();
$text = 'Обмен [b]'.$rur.' gears[/b] на [b]'.$sum.'[/b] успешно завершен!';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", array($b['id'],$text,time()));
jurnal($b['id'],$text,6);
echo '<div class="row text_box">Обмен успешно завершен!</div>';
///Подключаем меню
$title->GetMenu();
///Подключаем футер
$title->GetFooter();
die();
}
}
echo'<div class="row text_box"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="row text_box"><b>Gears (Курс: 1 gears = 0.20 руб.)</b><br/><form action="?" method="post"><input name="rur" class="form-control"maxlength="7"/><br />Пароль: <br/><input class="form-control" name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Обменять"/></form></div>';
} else err('Заполните WMR кошелек!');
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>